Subject: Re: bug#31202: 26.1; Emacs Info top-level Directory node omits some Info files

From: [email-masked] (N. Jackson)
Date: Tue, 17 Apr 2018 21:39:58 -0400

tags 31202 notabug
close 31202
stop

Sorry. I realised after poking around in info.el that my system
was mis-configured. (I'm not sure why, possibly a bug in something
other than Emacs.)

At 20:35 -0400 on Tuesday 2018-04-17, N. Jackson wrote:
>
>   $ ls -l /usr/local/share/info
>   total 396
>   -rw-r--r--. 1 root root  65223 Dec 25  2016 bbdb.info
>   -rw-r--r--. 1 root root 335184 Apr 13 14:25 dico.info
>   -rw-rw----. 1 root root    832 Apr 13 14:25 dir

Indeed, and

  $ su -c 'chmod o+r /usr/local/share/info/dir'

fixed the problem.

Emacs naturally cannot use the dir file when building the
top-level Directory node if it cannot read the file.

After the above configuration change everything works perfectly
the way I would expect.

Sorry for the noise.

N.